Program Mpihello

  use mpi
  !$ use omp_lib

  Implicit none

  Integer :: world_size, world_rank
  Integer :: share_size, share_thread

  character(len=MPI_MAX_PROCESSOR_NAME) :: proc_name
  integer :: name_end

  Integer :: merror


  Call MPI_Init(merror)


  Call MPI_Comm_size(MPI_COMM_WORLD, world_size, merror)
  Call MPI_Comm_rank(MPI_Comm_WORLD, world_rank, merror)
  Call MPI_GET_PROCESSOR_NAME(PROC_NAME, NAME_END, MERROR)

  if (world_rank == 0) then     
     print *,"MPI_MAX_PROCESSOR_NAME: ",MPI_MAX_PROCESSOR_NAME
  endif


  Call MPI_Barrier(mpi_comm_world, merror)
  !$omp parallel default(none) shared(world_size, world_rank, proc_name) &
  !$omp   private(share_size, share_thread)!
  
  ! setting up default thread numbers in case of no OpenMP
  share_size = 1
  share_thread = 0
  ! Overwrite in case of OpenMP
  !$ share_size   = omp_get_num_threads() 
  !$ share_thread = omp_get_thread_num()

1001 Format("Name: ", A20, " MPI rank: ", I6, " MPI total: ", I6, " OMP thread:", I3, " OMP total:", I3)
  
  print 1001, PROC_NAME, world_rank, world_size, share_thread, share_size
  
  !$omp end parallel

  Call MPI_Finalize(merror)

end Program Mpihello
