#!/bin/bash -l
# The -l above is required to get the full environment with modules

# Set the allocation to be charged for this job
# not required if you have set a default allocation
#SBATCH -A  pdc-test-2019

# The name of the script is myjob
#SBATCH -J myjob

# 10 hours wall-clock time will be given to this job
#SBATCH -t 0:10:00

# Number of nodes
#SBATCH --nodes=1
# Number of MPI processes per node
#SBATCH --ntasks-per-node=32

#SBATCH -e result_file_%j.err
#SBATCH -o result_file_%j.out

# Run the executable named myexe
# and write the output into my_output_file

cat $0

module swap PrgEnv-cray/6.0.5 PrgEnv-gnu/6.0.5
module load allinea-forge

srun -n 4 ../mpi_p2p/heat_mpi 


